%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: XML parsing class based on PHP's bundled expat
Name: 		php-pear-XML-Parser
Version: 	1.2.7
Release: 	2%{?dist}
License: 	PHP License
Group: 		Development/Libraries
Source: 	http://pear.php.net/get/XML_Parser-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-root
URL: 		http://pear.php.net/package/XML_Parser
Prefix: 	%{_prefix}
BuildRequires: 	php-pear(PEAR)
Provides: 	php-pear(XML_Parser) = %{version}
Requires: 	php-pear(PEAR)
BuildArchitectures: noarch

%description
This is an XML parser based on PHPs built-in xml extension.
It supports two basic modes of operation: "func" and "event".  In "func" mode, it will look for a function named after each element (xmltag_ELEMENT for start tags and xmltag_ELEMENT_ for end tags), and in "event" mode it uses a set of generic callbacks.

Since version 1.2.0 there's a new XML_Parser_Simple class that makes parsing of most XML documents easier, by automatically providing a stack for the elements.
Furthermore its now possible to split the parser from the handler object, so you do not have to extend XML_Parser anymore in order to parse a document with it.

%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build
echo BuildRoot=%{buildroot}

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps  --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm -f pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}/%{peardir}/.channels
rm %{buildroot}/%{peardir}/.depdb
rm %{buildroot}/%{peardir}/.depdblock

# Sort out documentation
mv %{buildroot}/docs/XML_Parser/* .
rm -rf %{buildroot}/docs

mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package2.xml
cp -p package2.xml %{buildroot}%{_libdir}/php/pear/XML_Parser.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/XML_Parser.xml >/dev/null

%postun
# if refcount = 0 then package has been removed (not upgraded)
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only XML_Parser >/dev/null
fi

%files
    %defattr(-,root,root)
    %doc  examples/xml_parser_file.php examples/xml_parser_file.xml examples/xml_parser_handler.php examples/xml_parser_simple1.php examples/xml_parser_simple1.xml examples/xml_parser_simple2.php examples/xml_parser_simple2.xml examples/xml_parser_simple_handler.php
    %{peardir}/XML/Parser
    %{peardir}/XML/Parser.php
    %{peardir}/tests/XML_Parser
    %{_libdir}/php/pear/XML_Parser.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.2.7-2.fc{3,4,5}.remi
- change /var/lib/pear to %{_libdir}/php/pear for XML (as in extras for FC5)
- spec cleanning

* Sat Jan  7 2006 Remi Collet <remi.collet@univ-reims.fr> 1.2.7-1.fc{3,4}.remi
- initial RPM
